Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1148845 - "make latexpdf" fails with a pristine sphinx project (texlive issues?)
Summary: "make latexpdf" fails with a pristine sphinx project (texlive issues?)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinx
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-02 13:55 UTC by Dave Malcolm
Modified: 2015-07-31 07:57 UTC (History)
1 user (show)

Fixed In Version: python-sphinx-1.2.3-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:38:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Output from "rpm -qa texlive-* |sort" (10.62 KB, text/plain)
2014-10-02 13:56 UTC, Dave Malcolm
no flags Details
stdout and stderr from "make latexpdf" (1.99 KB, text/plain)
2014-10-02 14:02 UTC, Dave Malcolm
no flags Details
The test.log output (11.72 KB, text/plain)
2014-10-02 14:03 UTC, Dave Malcolm
no flags Details
Tarball of the test project I was using (5.42 KB, application/x-gzip)
2014-10-02 14:11 UTC, Dave Malcolm
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1220339 0 unspecified CLOSED texlive dependencies are excessive 2022-05-16 11:32:56 UTC

Internal Links: 1220339

Description Dave Malcolm 2014-10-02 13:55:08 UTC
Description of problem:
I'm attempting to build PDF documentation using Sphinx, and have been
running into various errors inside pdflatex.

I'm not sure whether this is an issue with sphinx, with texlive, or
perhaps a missing dependency?  (I last used TeX directly about 20 years
ago, so not sure how to debug it further :) )

Version-Release number of selected component (if applicable):
python-sphinx-1.1.3-9.fc20.noarch

(will attach texlive NVRs in file form; as there are dozens)

How reproducible:
100%

Steps to Reproduce:
1.  Create a pristine sphinx project, accepting defaults for all settings,
    and "test" for all that require a setting.
2.  "make latexpdf"

Actual results:
Build halts inside latexpdf; I'll attach the full log, but the tail is:

  ! Package babel Error: You haven't specified a language option.

  See the babel package documentation for explanation.
  Type  H <return>  for immediate help.
   ...                                              
                                                  
  l.329 ...ry to proceed from here, type x to quit.}
                                                  
  ? 

with pdflatex waiting at a prompt.

Expected results:
Build runs to completion, generating a pdf file without requiring human
intervention.

Additional info:
This *used* to work on this box; am not sure which update broke it.
"make html" works sanely; it seems to be just PDF generation that's not
working.

Comment 1 Dave Malcolm 2014-10-02 13:56:50 UTC
Created attachment 943381 [details]
Output from "rpm -qa texlive-* |sort"

Comment 2 Dave Malcolm 2014-10-02 14:02:11 UTC
Created attachment 943382 [details]
stdout and stderr from "make latexpdf"

Comment 3 Dave Malcolm 2014-10-02 14:03:56 UTC
Created attachment 943383 [details]
The test.log output

Comment 5 Dave Malcolm 2014-10-02 14:11:17 UTC
Created attachment 943384 [details]
Tarball of the test project I was using

This tarball is just of a pristine project created using sphinx-quickstart

Comment 6 Fedora Update System 2015-02-05 15:12:26 UTC
python-sphinx-1.2.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-1.fc21

Comment 7 Fedora Update System 2015-02-05 15:12:30 UTC
python-sphinx-1.1.3-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-sphinx-1.1.3-12.fc20

Comment 8 Fedora Update System 2015-02-06 04:01:55 UTC
Package python-sphinx-1.2.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-sphinx-1.2.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1748/python-sphinx-1.2.3-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora End Of Life 2015-05-29 13:00:45 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-30 01:38:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Fedora Update System 2015-07-20 14:12:40 UTC
python-sphinx-1.2.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc21

Comment 12 Fedora Update System 2015-07-20 14:12:57 UTC
python-sphinx-1.2.3-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc22

Comment 13 Fedora Update System 2015-07-30 01:00:21 UTC
python-sphinx-1.2.3-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-07-31 07:57:48 UTC
python-sphinx-1.2.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.